## org.apache.batik.css.engine.value.css2
Class FontFamilyManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.css2.FontFamilyManager

All Implemented Interfaces:
  ValueManager

    public class FontFamilyManager

extends AbstractValueManager

This class provides a factory for the 'font-family' property values.

Field Summary
`protected static ListValue` `DEFAULT_VALUE` The default value.
`protected static StringMap` `values` The identifier values.

Constructor Summary
`FontFamilyManager()`

Method Summary
`Value` `computeValue(CSSStylableElement elt, java.lang.String pseudo, CSSEngine engine, int idx, StyleMap sm, Value value)` Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.
`Value` `createValue(org.w3c.css.sac.LexicalUnit lu, CSSEngine engine)` Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.
`Value` `getDefaultValue()` Implements `ValueManager.getDefaultValue()`.
`java.lang.String` `getPropertyName()` Implements `ValueManager.getPropertyName()`.
`int` `getPropertyType()` Implements `ValueManager.getPropertyType()`.
`boolean` `isAdditiveProperty()` Implements `ValueManager.isAdditiveProperty()`.
`boolean` `isAnimatableProperty()` Implements `ValueManager.isAnimatableProperty()`.
`boolean` `isInheritedProperty()` Implements `ValueManager.isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createFloatValue, createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_VALUE

    protected static final ListValue DEFAULT_VALUE

  The default value.

### values

    protected static final StringMap values

  The identifier values.

Constructor Detail

### FontFamilyManager

    public FontFamilyManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager.isInheritedProperty()`.

### isAnimatableProperty

    public boolean isAnimatableProperty()

  Implements `ValueManager.isAnimatableProperty()`.

### isAdditiveProperty

    public boolean isAdditiveProperty()

  Implements `ValueManager.isAdditiveProperty()`.

### getPropertyType

    public int getPropertyType()

  Implements `ValueManager.getPropertyType()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager.getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager.getDefaultValue()`.

### createValue

    public Value createValue(org.w3c.css.sac.LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager.createValue(LexicalUnit,CSSEngine)`.

  Parameters:
    `lu` - The SAC lexical unit used to create the value.
    `engine` - The calling CSSEngine.
  Throws:
    `org.w3c.dom.DOMException`

### computeValue

    public Value computeValue(CSSStylableElement elt,
                              java.lang.String pseudo,
                              CSSEngine engine,
                              int idx,
                              StyleMap sm,
                              Value value)

  Implements `ValueManager.computeValue(CSSStylableElement,String,CSSEngine,int,StyleMap,Value)`.

  Specified by:
    `computeValue` in interface `ValueManager`
  Overrides:
    `computeValue` in class `AbstractValueManager`
  Parameters:
    `elt` - The owner of the value.
    `pseudo` - The pseudo element.
    `engine` - The CSSEngine.
    `idx` - The property index in the engine.
    `sm` - The computed style map.
    `value` - The value to compute.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.